Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Установка wine 1.8 в Ubuntu 16.04.1  (Прочитано 4978 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ferty

  • Автор темы
  • Активист
  • *
  • Сообщений: 486
    • Просмотр профиля
Установка wine 1.8 в Ubuntu 16.04.1
« : 30 Июль 2016, 15:15:33 »
Итак, Ubuntu 16.04.1 x64. Пытаюсь установить стабильный wine 1.8, через ppa (конкретно ppa:ubuntu-wine/ppa). Далее устанавливаем wine 1.8 с помощью обычной команды:
sudo apt-get install wine1.8Получаем:
Пакеты, имеющие неудовлетворённые зависимости:
 wine1.8 : Зависит: wine1.8-i386 (= 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1)
           Рекомендует: fonts-droid но он не может быть установлен
Я так понимаю что с разрядностью связано и версией пакета из репов ubuntu 15.10..или просто глюк системы?
Вообщем подскажите, пожалуйста, братцы, как обойти проблему или придумать простое решение?

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 1801
    • Просмотр профиля
Re: Установка wine 1.8 в Ubuntu 16.04.1
« Ответ #1 : 30 Июль 2016, 20:34:22 »
В любом случае надо сначала разрешить запуск 32-разрядных программ. Я собираюсь устанавливать wine1.9 с
https://www.winehq.org/ , там есть инструкции, какой репозитарий подключить,
как разрешить 32-разрядную архитектуру и прочее.
Пётр.

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 1801
    • Просмотр профиля
Re: Установка wine 1.8 в Ubuntu 16.04.1
« Ответ #2 : 31 Июль 2016, 21:50:11 »
Sergiy17, А как установить версию 1.9.15? Если подключать ppa:ubuntu-wine/ppa,
то доступен только wine1.8, если ppa:wine/wine-builds, то доступен пакет winehq-devel,
но я помню, что для Ubuntu-14.04 я как-то скачивал или устанавливал промежуточные версии 1.7.x.
Пётр.

Оффлайн Sergiy17

  • Любитель
  • *
  • Сообщений: 88
    • Просмотр профиля
Re: Установка wine 1.8 в Ubuntu 16.04.1
« Ответ #3 : 31 Июль 2016, 22:14:47 »
Не помню доступны ли промежуточные версии для тестовых сборок, должны быть доступны, попробуйте задать версию также как и для 1.8. Или собирать из исходников, а затем checkinstall.
Лучший способ в чём-то разобраться до конца — это попробовать научить этому компьютер." (с) Дональд Кнут

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 1801
    • Просмотр профиля
Re: Установка wine 1.8 в Ubuntu 16.04.1
« Ответ #4 : 31 Июль 2016, 22:36:54 »
Sergiy17, Я и пробовал указывать win1.9, или wine1.9.15, apt-get сообщает, что нет таких.
Кстати, wine-staging почему-то требует доустановки больше чем вдвое пакетов, чем wine-devel.
Оказалось, что wine-devel - это и есть wine1.9.15, я так и ожидал, но тогда получается,
что промежуточные версии недоступны, хотя в этом есть смысл, если не заносят новых ошибок.
« Последнее редактирование: 31 Июль 2016, 22:45:52 от Peter_I »
Пётр.

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 1801
    • Просмотр профиля
Re: Установка wine 1.8 в Ubuntu 16.04.1
« Ответ #5 : 01 Август 2016, 23:29:22 »
Sergiy17, А почему в скачанных wine-devel (1.9.15) нет winetricks?
Его теперь надо откуда-то брать отдельно или что делать?

Я его скачал, так что, по замыслу разработчиков wine так и надо делать?
« Последнее редактирование: 01 Август 2016, 23:34:57 от Peter_I »
Пётр.

 

Страница сгенерирована за 0.053 секунд. Запросов: 24.